Действительно невозможно иметь Gimp 2.8 на Ubuntu 11.10? [дубликат]

Я понимаю, что есть новая версия GIMP, хотя кажется, что единственный способ сделать это - это скомпилировать из исходников :P

Есть ли другой способ получить его, или если мне нужно скомпилировать, то можно это сделать через терминал или еще лучше; GUI?

83
задан 15 February 2014 в 02:43

11 ответов

Ubuntu 12.04 LTS, 14.04 LTS, 16.04 LTS, 17.10, 18.04 LTS

Вы можете сделать это через Терминал:

  1. Удалить GIMP

     sudo apt-get  Автоудаление gIMP-плагина-реестра
     
  2. Добавьте следующий PPA

     sudo add-apt-repository ppa: otto-kesselgulasch / gimp
    sudo apt-get update
     
  3. Переустановите последнюю версию GIMP

     sudo apt-get install gimp
     
137
ответ дан 5 January 2021 в 23:43

Давайте поддержим этот проект.

http://portablelinuxapps.org/

Я могу скачать gimp2.9 и открыть файл, отвергнутый более ранней версией Gimp. И я до сих пор использую ubuntu 10.04 Lucid.

Это действительно сломанный случай с Linux-системами, потому что вам нужно обновить всю систему, чтобы иметь возможность запускать последние приложения. Я надеюсь, что это будет скоро решено, и я надеюсь, что мы поддерживаем такие проекты, как выше.

Я доволен своей ubuntu 10.04 и у меня здесь много конфигураций и файлов разработки... возможно, придется пройти до 2016 года, чтобы обновить lol!

2
ответ дан 5 January 2021 в 23:43

Вот способ установки GIMP flatpak :

flatpak install flathub org.gimp.GIMP

После установки вы можете запускать GIMP с помощью этой команды:

flatpak run org.gimp.GIMP

Для меня GIMP не мог работать как обычный пользователь из-за ошибок прав доступа. Вы можете найти ошибки, запустив GIMP в терминале. Исправление:

chmod 755 -R ~/.local/share/flatpak/
chmod 777 -R ~/.var/app/org.gimp.GIMP/

ДОПОЛНИТЕЛЬНО

(gimp-2.10:2): IBUS-WARNING **: 11:23:31.019: The owner of /home/user123/.var/app/org.gimp.GIMP/config/ibus/bus is not user123!

Исправление:

chown $USER ~/.var/app/org.gimp.GIMP/config/ibus/bus

При этом изменяется владелец каталога шины. $ USER в linux - это текущий зарегистрированный пользователь (попробуйте echo $ USER и посмотрите, что у вас получится).

1
ответ дан 5 January 2021 в 23:43

Ответ по состоянию на июнь 2018 г., если вы хотите Gimp 2.10

Для Ubuntu 17.10 и более поздних версий:

Добавьте PPA: https://launchpad.net/~otto-kesselgulasch/+archive/ubuntu/gimp и несколько пакетов будут обновлены / установлены из него, в первую очередь сам GIMP и gimp-plugin-registry, который содержит несколько полезных плагинов (resynthesize и т. д.), которые намного проще установить таким образом. Если у вас n <= 17.04, этот PPA предоставит вам GIMP 2.8.22.

Для более старых версий (особенно 16.04):

  • Официальный способ: вы устанавливаете версию «flatpak», которая представляет собой приложение с есть собственный набор зависимых библиотек. Инструкции доступны на странице загрузки GIMP .
  • Неофициальный способ: вы устанавливаете «AppImage» (который является еще одним способом «контейнеризовать» приложение). Для этого есть несколько построителей, одна версия здесь .

Оба метода имеют свои ограничения, в частности, может быть сложно добавить ваши любимые скомпилированные плагины (плагины script-fu и python обычно в порядке) .

1
ответ дан 5 January 2021 в 23:43

Ubuntu 14.04 и новее

Чтобы установить последнюю стабильную версию GIMP в виде мгновенного пакета во всех поддерживаемых в настоящее время версиях Ubuntu, откройте терминал и введите:

sudo snap install gimp

Примечания

  1. Если вам нужна постепенно более новая версия, чем последняя стабильная версия (например, GIMP 2.10.2 вместо GIMP 2.10.0), установите ее из канала edge .

     sudo snap install gimp --channel = edge
     
  2. Если вам нужен GIMP для полного доступа к внешним носителям (например, USB-накопителю, SD / MicroSD-карте, дополнительному подключенному жесткому диску и т. Д.), Выполните следующую команду:

     sudo snap connect gimp: съемный-  СМИ
     
     $  sudo snap connect gimp: съемный носитель
      $  привязка соединений gimp
    Примечания к разъему интерфейсного разъема
    контент [gtk-3-themes] gimp: gtk-3-themes gtk-common-themes: gtk-3-themes -
    content [icon-themes] gimp: icon-themes gtk-common-themes: icon-themes -
    content [sound-themes] gimp: sound-themes gtk-common-themes: sound-themes -
    gimp cups-control: cups-control - -
    dbus - gimp: dbus-gimp -
    рабочий стол gimp: рабочий стол: рабочий стол -
    desktop-legacy gimp: рабочий стол-наследие: рабочий стол-наследие -
    gsettings gimp: gsettings: gsettings -
    домашний канитель: дом: дом -
    сеть gimp: сеть: сеть -
    opengl gimp: opengl: opengl -
    съемный-носитель gimp: съемный-носитель: руководство по съемным носителям
    unity7 gimp: unity7: unity7 -
    wayland gimp: wayland: wayland -
    x11 канитель: x11: x11 -
     

enter image description here

14
ответ дан 5 January 2021 в 23:43

Ubuntu 16.10

В Ubuntu 16.10 вы можете легко установить его из терминала с помощью следующей команды:

sudo apt install gimp

Чтобы обновить существующую установку gimp, запустите следующую команду в терминале:

sudo apt update && apt upgrade -y

Если вы хотите удалить gimp, но сохранить настройки (например, если вы планируете переустановить в другой раз), выполните следующую команду в терминале:

sudo apt remove gimp

Если вы хотите удалить gimp и удалить настройки, выполните следующую команду в терминале:

sudo apt purge gimp

0
ответ дан 5 January 2021 в 23:43

этот PPA работает у меня, и он предоставит вам последнюю доступную версию Примечание: эта версия также может быть в разработке

sudo add-apt-repository ppa:otto-kesselgulasch/gimp-edge

, также вы можете выполнить другие шаги здесь

sudo apt-get update
sudo apt-get install gimp -y

, это отобразит текущую версию gimp

sudo gimp --version
-1
ответ дан 5 January 2021 в 23:43

Ubuntu 16.10

apt install gimp

Теперь довольно просто.

1
ответ дан 5 January 2021 в 23:43

Чтобы получить GIMP 2.8 на Lucid 10.04.4, необходимо посмотрите на это:

http://ubuntuforums.org/showthread.php?p=11946325

1
ответ дан 5 January 2021 в 23:43

К счастью, наличие стабильной версии GIMP 2.8 также упростило установку реестра подключаемых модулей gimp (со знаменитым подключаемым модулем сохранения в Интернете)

Через http: //www.webupd8. org / :

Стабильная установка GIMP 2.8

Если вы обновляете старую версию GIMP, перейдите по ссылке и обратите внимание на команду dist-upgrade http: // www. webupd8.org/2012/05/gimp-28-stable-finally-available-for.html (также, если вы хотите вернуться к GIMP 2.6.x)

Если вы устанавливаете GIMP только для первого время при текущей установке системы:

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp

Реестр подключаемого модуля GIMP для установки GIMP 2.8

http://www.webupd8.org/2012/05/install-gimp-plugin-registry-for-gimp.html

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp-plugin-registry
7
ответ дан 5 January 2021 в 23:43

Версии Ubuntu до 12.04

В настоящее время нет способа установить GIMP 2.8 на любую версию ниже 12.04.

С точки зрения возможно ли ...

Маловероятно по следующей причине:

Зависимости последних версий GIMP требуют большого количества новейших базовых библиотек, которые вы не найдете по умолчанию ни в одной из версий ниже 12.04. Таким образом, вам нужно будет перекомпилировать и переписать части кода, чтобы заставить его скомпилировать. Чем дальше от 12.04, тем больше требуется изменений.

Сопровождающий пакета Gimp (ppa: matthaeus123 / mrw-gimp-svn) упоминает в описании, что ему нужен последний Gnome-3 PPA , а также некоторые другие библиотеки тестирования . Оба они не будут установлены в средах gnome-2 (ниже 11.10). Если посмотреть на списки зависимостей для версии GIMP 12.04, они также недоступны в 11.10.

Будет ли он когда-либо доступен в PPA для версий ниже 12.04? Вероятно, можно с уверенностью сказать маловероятно , если только не найдется предприимчивый разработчик, желающий перенести это на это.

До тех пор, UbuntuForums имеет интересную тему о том, как скомпилировать из источник.


Таким образом, если вы определенно хотите Gimp 2.8, попробуйте установить 12.04 + одно из его многочисленных окружений рабочего стола.

14
ответ дан 5 January 2021 в 23:43

Другие вопросы по тегам:

Похожие вопросы: